Next Technology Holding Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/next-technology-holding-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/next-technology-holding-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1696032000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1784970/000109991023000212/wetg_10q.htm",
    "holding_balance": 833.0,
    "holding_net_change": 833.0,
    "transaction_value_usd": 24990000.0,
    "average_entry_value_usd": 30000.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1743379200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1784970/000121390025041307/ea0240879-10q_nexttech.htm",
    "holding_balance": 5833.0,
    "holding_net_change": 5000.0,
    "transaction_value_usd": 158083667.0,
    "average_entry_value_usd": 31616.73,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/next-technology-holding-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    5833.0
  ],
  [
    1779062400000,
    5833.0
  ],
  [
    1779148800000,
    5833.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/next-technology-holding-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    451648373.38
  ],
  [
    1779062400000,
    448815926.91
  ],
  [
    1779148800000,
    447741138.33
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/next-technology-holding-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.38,
    "date": "2026-05-15",
    "high": 1.57,
    "open": 1.41,
    "close": 1.55,
    "volume": 211400
  },
  {
    "low": 1.42,
    "date": "2026-05-18",
    "high": 1.575,
    "open": 1.55,
    "close": 1.43,
    "volume": 85200
  },
  {
    "low": 1.36,
    "date": "2026-05-19",
    "high": 1.4899,
    "open": 1.43,
    "close": 1.44,
    "volume": 63850
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/next-technology-holding-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.734,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/next-technology-holding-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -18.64,
  "six_month_return": -90.01,
  "three_month_return": -55.0
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/next-technology-holding-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 410.6,
  "total_btc_percentage": 0.028,
  "share_price_change_state": "up"
}